﻿using System;

namespace SpreadsheetOwnerErrorSampleV3.Core.Events
{
	public class WorkbookEventArguments
	{
		public string Id { get; }
		public int? SpreadsheetHashCode { get; private set; }
		public string Description { get; }
		public DateTime TimeStamp { get; private set; }

		public WorkbookEventArguments(string id, int? spreadsheetHasCode, string description)
		{
			Id = id;
			SpreadsheetHashCode = spreadsheetHasCode;
			Description = description;
			TimeStamp = DateTime.Now;
		}
	}
}
