﻿// <copyright file="IWorksheetCell.cs" company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

namespace SpreadsheetOwnerErrorSampleV3.Interfaces
{
	/// <summary>Represents a worksheet cell abstraction.</summary>
	public interface IWorksheetCell
	{
		/// <summary>Gets a column index of the cell.</summary>
		int ColumnIndex { get; }

		/// <summary>Gets a row index of the cell.</summary>
		int RowIndex { get; }

		/// <summary>Gets or sets a value of the cell.</summary>
		object Value { get; set; }
	}
}