﻿// <copyright file="IWorksheetColumn.cs" company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

namespace SpreadsheetOwnerErrorSampleV3.Interfaces
{
	/// <summary>Represents a worksheet column abstraction.</summary>
	public interface IWorksheetColumn
	{
		/// <summary>Gets a column index in the worksheet.</summary>
		int Index { get; }

		/// <summary>Gets or sets user friendly name of the spreadsheet column.</summary>
		string FriendlyName { get; set; }
	}
}
