﻿// <copyright file="IWorksheetRow.cs" company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using System.Collections.Generic;

namespace SpreadsheetOwnerErrorSampleV3.Interfaces
{
	/// <summary>Represents a worksheet row abstraction.</summary>
	public interface IWorksheetRow
	{
		/// <summary>Gets a list of cells in the row.</summary>
		IList<IWorksheetCell> Cells { get; }

		/// <summary>Gets a row index in the worksheet.</summary>
		int Index { get; }
	}
}