﻿

using System;
using System.Linq;
using System.Windows;
using System.Windows.Data;
using Infragistics.Windows.DockManager;
using Infragistics.Windows.DockManager.Events;
using SpreadsheetOwnerErrorSampleV3.Views;

namespace SpreadsheetOwnerErrorSampleV3
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private static int sIndex = 0;

		public MainWindow()
		{
			sIndex++;
			InitializeComponent();

			//if (sIndex > 1)
			//	Close();
		}

		private void FrameworkElement_OnLoaded(object sender, RoutedEventArgs e)
		{
			TextID.Text = $"Window ID={sIndex}";
		}

		private void OnPaneDragStarting(object sender, PaneDragStartingEventArgs e)
		{
			if (e.Panes.Any(x => x.Content is StartPageView))
				e.Cancel = true;
		}

		private void OnOptionsMenuOpening(object sender, PaneOptionsMenuOpeningEventArgs e) => e.Items.Clear();

		private void OnActiveDocumentChanged(object sender, RoutedPropertyChangedEventArgs<ContentPane> e)
		{
		}

		private void FrameworkElement_OnSourceUpdated(object sender, DataTransferEventArgs e)
		{
		}

		private void PaneHeaderPresenterControl_OnInitialized(object sender, EventArgs e)
		{
		}

		private void PaneHeaderPresenterControl_OnDataContextChanged(object sender, DependencyPropertyChangedEventArgs e)
		{
		}

		private void DockPanelControl_OnDataContextChanged(object sender, DependencyPropertyChangedEventArgs e)
		{
		}

		private void DockPanelControl_OnInitialized(object sender, EventArgs e)
		{
		}
	}
}
