﻿// <copyright file="SpreadsheetEafSchema25.cs" company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using Infragistics.Documents.Excel;
using SpreadsheetOwnerErrorSampleV3.Interfaces;
using SpreadsheetOwnerErrorSampleV3.SpreadsheetControl;

namespace SpreadsheetOwnerErrorSampleV3.Schema
{
	internal class EquipmentDictionaryWorkbookSchema26
	{
		public IWorkbook CreateWorkbook()
		{
			using (var fs = EquipmentDictionaryTemplates.GetVersion("2.6"))
			{
				var workbook = Workbook.Load(fs);
				workbook.Protect();

				return new SpreadsheetWorkbook(
					workbook,
					new SheetStyle(
						CommonEditorConfiguration.DefaultFontFamilyString,
						CommonEditorConfiguration.DefaultFontSize));
			}
		}
	}
}