﻿// <copyright company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using Infragistics.Documents.Excel;

namespace SpreadsheetOwnerErrorSampleV3.SpreadsheetControl
{
	/// <summary>A work sheet style interface.</summary>
	internal interface ISheetStyle
	{
		/// <summary>Applies the sheet style to the given <see cref="Workbook"/>.</summary>
		/// <param name="workbook">The workbook.</param>
		/// <returns>The workbook with applied style.</returns>
		Workbook ApplyTo(Workbook workbook);
	}
}