﻿// <copyright file="SpreadsheetColumn.cs" company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using Infragistics.Documents.Excel;
using SpreadsheetOwnerErrorSampleV3.Interfaces;

namespace SpreadsheetOwnerErrorSampleV3.SpreadsheetControl
{
	internal class SpreadsheetColumn : IWorksheetColumn
	{
		private readonly WorksheetColumn mWorksheetColumn;

		public int Index => mWorksheetColumn.Index;

		public string FriendlyName { get; set; }

		public SpreadsheetColumn(WorksheetColumn worksheetColumn) => mWorksheetColumn = worksheetColumn;
	}
}
