﻿// <copyright file="SpreadsheetRow.cs" company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using System.Collections.Generic;
using Infragistics.Documents.Excel;
using SpreadsheetOwnerErrorSampleV3.Interfaces;

namespace SpreadsheetOwnerErrorSampleV3.SpreadsheetControl
{
	internal class SpreadsheetRow : IWorksheetRow
	{
		private readonly WorksheetRow mWorksheetRow;

		public int Index => mWorksheetRow.Index;

		public IList<IWorksheetCell> Cells { get; }

		public SpreadsheetRow(WorksheetRow worksheetRow)
		{
			mWorksheetRow = worksheetRow;
			Cells = new SpreadsheetCells(worksheetRow);
		}
	}
}
