﻿// <copyright company="PEER Group GmbH">
//    Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

namespace SpreadsheetOwnerErrorSampleV3.Core.Regions
{
	/// <summary>
	/// Defines the standard names of the views used in this user interface application.
	/// </summary>
	public static class KnownViews
	{
		public const string START_PAGE_VIEW = "StartPageView";
		public const string FACTORY_EXPLORER_VIEW = "FactoryExplorerView";
		public const string CONFIGURATION_VIEW = "BackboneMemberConfigurationView";

		public const string TEST_VIEW = "TestUserControlView";
		public const string EDITOR_VIEW = "EditorViewWithSpreadsheet";
	}
}
