﻿// <copyright file="SpreadsheetCell.cs" company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using Infragistics.Documents.Excel;
using SpreadsheetOwnerErrorSampleV3.Interfaces;

namespace SpreadsheetOwnerErrorSampleV3.SpreadsheetControl
{
	internal class SpreadsheetCell : IWorksheetCell
	{
		private readonly WorksheetCell mWorksheetCell;

		public int ColumnIndex => mWorksheetCell.ColumnIndex;

		public int RowIndex => mWorksheetCell.RowIndex;

		public object Value
		{
			get => mWorksheetCell.Value;
			set => mWorksheetCell.Value = value;
		}

		public SpreadsheetCell(WorksheetCell worksheetCell) => mWorksheetCell = worksheetCell;
	}
}